Bug 1018630 - RFE: Way to distinguish unregistered user and disabled user
RFE: Way to distinguish unregistered user and disabled user
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Authentication-Fedora, Authentication-OpenID (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
: screened
: 1017101 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-13 20:51 EDT by Ding-Yi Chen
Modified: 2015-07-28 22:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1017101
Environment:
Last Closed: 2015-07-28 22:45:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2013-10-13 20:51:32 EDT
Zanata currently treat unregistered users as disabled users, however they should be different.

Consider following use case:

1. Unregistered users: The user fill the registration page but forgot to click activation link. He/she should be lead to unregistered user page to resend activation mail.

Step to reproduced:
1. Use generic open to register
2. Fill the registration form, and click *Save*.
3. Make the activation link expire by waiting for 24 hours or modify the database.
4. User log in

Expected:
Redirect to Inactivated user page

Actual:
Nothing happend


2. Disabled user (User disabled by admin): Admin wants to stop the mischievous users and set the disable flag. The users should NOT be able to reach the inactive account page.

Step to reproduced:
1. Admin disable an user account.
2. Log in as that user.

Expected:
Error messages: "Your account is disabled, please contact admin to resolve the issue".

This bug is more comprehensive and clearer version of Bug 1017101.
Comment 1 Ding-Yi Chen 2013-10-13 20:54:31 EDT
*** Bug 1017101 has been marked as a duplicate of this bug. ***
Comment 3 Damian Jansen 2015-07-13 20:21:10 EDT
Reassigned to PM
Comment 4 Zanata Migrator 2015-07-28 22:45:19 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-174

Note You need to log in before you can comment on or make changes to this bug.